SND_PCM_STREAM_LOCK(9)

NAME
snd_pcm_stream_lock - Lock the PCM stream

SYNOPSIS

void snd_pcm_stream_lock(struct snd_pcm_substream * substream);

ARGUMENTS

substream
    PCM substream

DESCRIPTION

This locks the PCM stream's spinlock or mutex depending on the nonatomic flag of the given substream. This also takes the global link rw lock (or rw sem), too, for avoiding the race with linked streams.

COPYRIGHT